diff -ru linux-espeak.orig/Makefile linux-espeak/Makefile
--- linux-espeak.orig/Makefile	2008-10-03 02:43:51.000000000 +0200
+++ linux-espeak/Makefile	2009-08-28 13:00:28.000000000 +0200
@@ -13,20 +13,19 @@
 libparentdir = ${PREFIX}/share/emacs/site-lisp
 libdir2 =$(libparentdir)/emacspeak/servers/linux-espeak
 CFLAGS= -O2 -I/usr/include/espeak -fPIC  -DPIC -pedantic -ansi -Wall
-LIBS= -ltcl -lespeak
+LIBS= -ltcl8.4 -lespeak
 
 TTS=libtclespeak.so
 all: libtclespeak.so
 
-tclespeak.lo: tclespeak.cpp
-	libtool --mode=compile $(CC) $(CFLAGS) -c $<
+tclespeak.o: tclespeak.cpp
+	$(CC) $(CFLAGS) -c $<
 
-libtclespeak.so: tclespeak.lo 
-	libtool --mode=link $(CC) $(CFLAGS) -g -o $@ tclespeak.lo $(LIBS)  -shared
+libtclespeak.so: tclespeak.o 
+	$(CC) -shared $(CFLAGS) -g -o $@ tclespeak.o $(LIBS)
 
 clean:
-	rm -f *.so *.o *.lo libtclespeak.so
-	rm -rf .libs
+	rm -f *.so *.o
 
 install:  tclespeak.so
 	if test ! -d $(libdir2) ; then mkdir $(libdir2); fi ; \
diff -ru linux-espeak.orig/tclespeak.cpp linux-espeak/tclespeak.cpp
--- linux-espeak.orig/tclespeak.cpp	2008-10-03 02:43:51.000000000 +0200
+++ linux-espeak/tclespeak.cpp	2009-08-28 12:49:41.000000000 +0200
@@ -37,7 +37,7 @@
 
 #include <sys/time.h>
 #include <dlfcn.h>
-#include <tcl.h>
+#include <tcl8.4/tcl.h>
 #include <string.h>
 #include <stdlib.h>
 #include <string>
@@ -593,7 +593,7 @@
 	  continue;
 	}
 
-      char* aLangCode = 1 + voices[i]->languages;
+      const char* aLangCode = 1 + voices[i]->languages;
 
       snprintf(buffer_i, 3, "%d", aLang); 
       snprintf(buffer_j, 3, "%d", j++); 
